%define piname	climatology_pi
%define ver_CL_DATA 1.0

Name:		opencpn-climatology-plugin
Summary:	Climatology plugin for OpenCpn
Version:	1.2
Release:	%mkrel 4
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz
Source1:	CL-DATA-%{ver_CL_DATA}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Provides overlay capabilities for historic weather data.
Supported Climatology types include:
    Average wind directions and speed
    Percentage of gale and calm conditions
    Average swell and sea state (not yet implemented)
    Precipitation, Humidity, and Cloud Cover
    Monthly average Sea Level pressure and Sea Temperature, Air Temperature
    Tropical Cyclone tracks

%prep
%setup -q -n %{piname}

tar -xJf %{SOURCE1}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 1.2-4.mga6
+ Revision: 1019830
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.2-3.mga6
+ Revision: 962317
- changed buildrequire wxgtku3.0
- new version 1.2

* Tue Feb 16 2016 umeabot <umeabot> 1.1.001-2.mga6
+ Revision: 961930
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 1.1.001-1.mga6
+ Revision: 908770
- new package opencpn-climatology-plugin

